///////////////////////////////////////////////////////////////////////////////
// RefCursor.java -- example how to access REF CURSORs from stored procedures
//

package samples;

import java.sql.*;
import com.inet.ora.*;

public class RefCursor
{
    Connection con = null;

    public static void main( String args[] )
    {
        new RefCursor();
    }

    RefCursor()
    {
        try {
            // set logging and timeout
            DriverManager.setLogStream( System.out );
            DriverManager.setLoginTimeout( 10 );

            // loading the driver
            new com.inet.ora.OraDriver();

            // get the connection
            con = DriverManager.getConnection( "jdbc:inetora:host:1521:service", "user", "password" );

            // create the statement
            CallableStatement cs = con.prepareCall( "{call fetchproc( ?, ?, ?, ? )}" );

            // register the out values using the constant OraDriver.CURSOR
            cs.registerOutParameter( 1, Types.DECIMAL );
            cs.registerOutParameter( 2, OraDriver.CURSOR );
            cs.registerOutParameter( 3, Types.DECIMAL );
            cs.registerOutParameter( 4, OraDriver.CURSOR );
            cs.execute();

            // get the resultsets with CallableStatement.getObject()
            ResultSet rs1 = (ResultSet)cs.getObject( 2 );
            ResultSet rs2 = (ResultSet)cs.getObject( 4 );

            // process the results
            while( rs1.next() ) {
                System.out.println( rs1.getObject( 1 ) );
            }

            while( rs2.next() ) {
                System.out.println( rs2.getObject( 1 ) );
            }

            // close the connection
            con.close();
        }
        catch( Throwable e ) {
            e.printStackTrace();
        }
    }
}