/*
i-net software provides programming examples for illustration only, without warranty 
either expressed or implied, including, but not limited to, the implied warranties 
of merchantability and/or fitness for a particular purpose. This programming example 
assumes that you are familiar with the programming language being demonstrated and 
the tools used to create and debug procedures. i-net software support professionals 
can help explain the functionality of a particular procedure, but they will not modify 
these examples to provide added functionality or construct procedures to meet your 
specific needs.
 i-net software 2000

  This sample show the use of the JDBCRowSet from i-net software (Seropto).

*/

package samples;

import java.sql.*;                  // JDBC package
import com.inet.ora.JDBCRowSet;

public class WithJDBCRowSet
{

    public static void main(String[] argv){
        String url      = "jdbc:inetora:host:1521:service";	// use your hostname, port and service here
        String login    = "system";	   			// use your login here
        String password = "manager";	   			// use your password here
        
	    try {
		    DriverManager.setLogStream(System.out); // to create more info 
							                        // for technical support
    			
		    Class.forName("com.inet.ora.OraDriver").newInstance();
		    //or
		    //new com.inet.ora.OraDriver();

    		
		    //set a timeout for login and query
		    DriverManager.setLoginTimeout(10);


		    //create a JDBCRowSet
		    JDBCRowSet rowSet = new JDBCRowSet();
		    
		    //set url,login and password;
		    rowSet.setUrl( url );
		    rowSet.setUsername( login );
		    rowSet.setPassword( password );


		    //to get the driver version
	            DatabaseMetaData conMD = rowSet.getConnection().getMetaData();
	            System.out.println("Driver Name:\t"    + conMD.getDriverName());
	            System.out.println("Driver Version:\t" + conMD.getDriverVersion());

		    //set the sql command
		    rowSet.setCommand("SELECT * FROM nls_database_parameters");

		    //execute a the command
		    rowSet.execute();

		    // read the data and put it to the console
		    while (rowSet.next()){
			    for(int j=1; j<=rowSet.getMetaData().getColumnCount(); j++){
				    System.out.print( rowSet.getObject(j)+"\t");
			    }
			    System.out.println();    
		    }

    		
		    //close the RowSet
		    rowSet.close();

	    } catch(Exception e) {
		    e.printStackTrace();
	    }
    }
}